libtiger 0.3.4

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Functions
tiger.h File Reference
`#include <stddef.h>`
`#include <kate/kate.h>`
`#include "tiger/tiger_config.h"`

Go to the source code of this file.

## Macros
API version
#define | TIGER_VERSION_MAJOR 0
#define | TIGER_VERSION_MINOR 3
#define | TIGER_VERSION_PATCH 4
Error codes
#define | TIGER_E_NOT_FOUND (-1001)
#define | TIGER_E_INVALID_PARAMETER (-1002)
#define | TIGER_E_OUT_OF_MEMORY (-1003)
#define | TIGER_E_CAIRO_ERROR (-1004)
#define | TIGER_E_BAD_SURFACE_TYPE (-1005)

## Functions
int | tiger_get_version (void)
const char * | tiger_get_version_string (void)
int | tiger_renderer_create (tiger_renderer **tr)
int | tiger_renderer_set_buffer (tiger_renderer *tr, unsigned char *ptr, int width, int height, int stride, int swap_rgb)
int | tiger_renderer_set_surface_clear_color (tiger_renderer *tr, int clear, double r, double g, double b, double a)
int | tiger_renderer_set_quality (tiger_renderer *tr, double quality)
int | tiger_renderer_add_event (tiger_renderer *tr, const kate_info *ki, const kate_event *ev)
int | tiger_renderer_update (tiger_renderer *tr, kate_float t, int track)
int | tiger_renderer_seek (tiger_renderer *tr, kate_float target)
int | tiger_renderer_render (tiger_renderer *tr)
int | tiger_renderer_destroy (tiger_renderer *tr)
int | tiger_renderer_is_dirty (const tiger_renderer *tr)
int | tiger_renderer_enable_caching (tiger_renderer *tr, int enable)
int | tiger_renderer_set_default_font_description (tiger_renderer *tr, const char *desc)
int | tiger_renderer_set_default_font (tiger_renderer *tr, const char *font)
int | tiger_renderer_set_default_font_size (tiger_renderer *tr, double size)
int | tiger_renderer_set_default_font_color (tiger_renderer *tr, double r, double g, double b, double a)
int | tiger_renderer_set_default_background_fill_color (tiger_renderer *tr, double r, double g, double b, double a)
int | tiger_renderer_set_default_font_effect (tiger_renderer *tr, tiger_font_effect effect, double strength)

## Detailed Description

The libtiger public API.

## Macro Definition Documentation

#define TIGER_E_BAD_SURFACE_TYPE (-1005)

this surface type is unsupported

#define TIGER_E_CAIRO_ERROR (-1004)

the Cairo API returned an error

Referenced by tiger_renderer_set_buffer().

#define TIGER_E_INVALID_PARAMETER (-1002)

a bogus parameter was passed (usually NULL)

Referenced by tiger_renderer_add_event(), tiger_renderer_create(), tiger_renderer_destroy(), tiger_renderer_render(), tiger_renderer_seek(), tiger_renderer_set_buffer(), tiger_renderer_set_default_background_fill_color(), tiger_renderer_set_default_font(), tiger_renderer_set_default_font_color(), tiger_renderer_set_default_font_description(), tiger_renderer_set_default_font_effect(), tiger_renderer_set_default_font_size(), tiger_renderer_set_quality(), tiger_renderer_set_surface_clear_color(), and tiger_renderer_update().

#define TIGER_E_NOT_FOUND (-1001)

whatever was requested was not found

#define TIGER_E_OUT_OF_MEMORY (-1003)

we're running out of cheese, bring some more

Referenced by tiger_renderer_add_event(), tiger_renderer_create(), tiger_renderer_set_default_font(), tiger_renderer_set_default_font_description(), and tiger_renderer_set_default_font_size().

#define TIGER_VERSION_MAJOR 0

major version number of the libtiger API

Referenced by tiger_get_version(), and tiger_get_version_string().

#define TIGER_VERSION_MINOR 3

minor version number of the libtiger API

Referenced by tiger_get_version(), and tiger_get_version_string().

#define TIGER_VERSION_PATCH 4

patch version number of the libtiger API

Referenced by tiger_get_version(), and tiger_get_version_string().